.\"
.\" Copyright (c) 1994 1995 1996 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.TH J2_BYE_CHAR 3 "2018-03-07" "JMC" "Local Library Function"
.SH NAME
j2_bye_char() - Bye Character
.SH SYNOPSIS
#include <j_lib2.h>

int j2_bye_char(char *s, char c);
.SH DESCRIPTION
j2_bye_char() - Removes all occurrences of a character from a string.
.SH EXAMPLE
Removes character ',' from string s
.nf

{
  char s[12];
  int num_removed;

  num_removed = j2_bye_char(s, ',');
  if (num_removed < 0)
    {
      fprintf(stderr, "Error on j2_bye_char()\\n");
      exit(2);
    }
}

.fi
if string s contained the value '123,456.79' it will
be changed to '123456.79'
.SH RETURN VALUES
Number of characters removed or -1 on error.
