.\"
.\" Copyright (c) 1994 1995 1996 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH J2_CLR_STR 3  "2018-03-07" "JMC" "Local Library Function"
.SH NAME
j2_clr_str() - clear string
.SH SYNOPSIS
.nf
#include <sys/types.h>
#include <j_lib2.h>

long int j2_clr_str(char *s, char c, int size);
.fi
.SH DESCRIPTION
j2_clr_str() replaces all characters in string 's'
of length 'size' with character 'c'.
Ensures the terminating character is NULL.
.SH EXAMPLE
This example initializes string 's' to spaces,
terminating it with a NULL character.
.nf

{
  char s[12];

  j2_clr_str(s, ' ', 12);
}
.fi
.SH DIAGNOSTICS
This is a wrap-around to memset(3).
.SH RETURNS
size of the string.
.SH SEE-ALSO
j_lib2(3),
menset(3)
