.\"
.\" Copyright (c) 1994 1995 1996 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH J2_D_GET_YYYY 3 "2018-07-02" "JMC" "Local Library Function"
.SH NAME
j2_d_get_yyyy() - Determine 4 digit year
.SH SYNOPSIS
#include <j_lib2.h>

int j2_d_get_yyyy(int yy)
.SH DESCRIPTION
j2_d_get_yyyy() - Convert a 2 digit year to afoure digit year
.SH EXAMPLE
Convert 91 to a 4 digit year
.nf

{
  int yy;
  int yyyy;

  yy = 91;

  yyyy =  j2_d_get_yyyy(yy);

  printf("year yy = %d and yyyy = %d\\n",yy,yyyy);
}
.fi
.SH DIAGNOSTICS
Century is determined by using three defines, CUTOFF_YY,
CENTURY_CURRENT and CENTURY_NEXT.  If yy is greater
than CUTOFF_YY the yy will be prepended with CENTURY_CURRENT,
otherwise CENTURY_NEXT is used.

If yy is greater than 99 or less that 0 yy is returned
without being converted.
.PP
These days there should not be any real need to use this.
This will eventually be Obsoleted.
.SH BUGS
This was created to address data using 2 digit years
in the 20th Century.
Using this as we advance through time will probably
cause you issues.
.SH RETURN VALUES
four digit year or yy if yy is bad.
