.\"
.\" Copyright (c) 1999 2001 2002 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH J2_SECS_TO_STR 3 "2018-08-22" "JMC" "Local Library Function"
.SH NAME
j2_secs_to_str() - Converts seconds to a "run time" string
.SH SYNOPSIS
.nf
#include <time.h>
#include <sys/types.h>
#include <j_lib2.h>

.fi
void j2_secs_to_str(char *ds, time_t secs);
.SH DESCRIPTION
j2_secs_to_str() --
Converts seconds into a time string formatted as "DDD hh:mm:ss"
.SH EXAMPLE
Convert to secs and back to string
.nf

{
  char ds[30];
  time_t secs;

  strcpy(ds,"002 03:05:00");

  secs = j2_str_to_secs(ds);
  fprintf(stdout,"%s is %ld\\n", ds, secs);

  j2_secs_to_str(ds, secs);
  fprintf(stdout,"%ld is %s\\n", secs, ds);

}
.fi

.SH DIAGNOSTICS
Run Time format is fixed at "DDD hh:mm:ss".
There can only be one space between DDD and hh.
If DDD is greater than 999 it is set equal to '***'.
This is for use in formatting on fixed length reports.

.SH RETURN VALUES
none
