.\"
.\" Copyright (c) 1994 1995 1996 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH J2_IS_SPACE_EMBEDDED 3 "2018-07-02" "JMC" "Local Library Function"
.SH NAME
j2_is_space_embedded() - Check for embedded white space
.SH SYNOPSIS
#include <j_lib2.h>

int j2_is_space_embedded(char *s);
.SH DESCRIPTION
j2_is_space_embedded() determines if a string contains embedded white space.

White Space in the "C" and "POSIX" locales
are: space, form-feed ('\\f'), newline ('\\n'),
carriage return ('\\r'), horizontal tab ('\\t'),
and vertical tab ('\\v').

The following strings will fail:
.nf
    "aa aa "
    "bb  bb"
    "   ccc"
.fi
The following strings will pass:
.nf
    "aaaaa "
    "bbbbbb"
    "cccc  "
.fi
.SH DIAGNOSTICS
Will return FALSE if the string contains leading white space.

.SH RETURN VALUES
TRUE or FALSE
