.\"
.\" Copyright (c) 1994 1995 1996 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH J2_FIX_NUMR 3 "2018-07-02" "JMC" "Local Library Function"
.SH NAME
j2_fix_numr() - Reformats a numeric item
.SH SYNOPSIS
#include <j_lib2.h>

.nf

int j2_fix_numr(char *buffer, char thousand_char, char decimal_point);
.fi

.SH DESCRIPTION
fix_numr() reformats a numeric item.  thousand_char and decimal_point
must be supplied.
.SH EXAMPLE

.nf
Sample Call:
  {
    char s[15];
    strcpy(s,"123,456.78-");

    j2_fix_numr(s, ',', '.');
    printf("results: %s\n",s);
  }
.fi
s is now = "-123456.78"

Assuming the thousand_char is a ',' and the decimal point
is a '.' listed below are some example call results.
.nf

    In String    Out String  Comment
    ------------ ----------- ------------------------------------
    "   123.45"  "123.45"    Successful
    "  123.45-"  "-123.45"   Successful
    "1,234.56-"  "-1234.56"  Successful
    "1,,234.56-" "-1234.56"  Successful (yes considered OK)
    "  -1     "  "-1"        Successful
    "   ccc"     "   ccc"    Returns FALSE, not numeric
    "12 234"     "12 234"    Returns FALSE, not numeric
    "123.45.5"   "123.45.5"  Returns FALSE, not numeric
    "-123.45-"   "-123.45-"  Returns FALSE, too many '-'
.fi

.SH RETURN VALUES
TRUE if the item is numeric, FALSE if invalid.
String is not modified if it is invalid.

.SH DIAGNOSTICS
This routine does not care where the thousand
characters are in the string.  For example,
string "1,2,3,4,5,6,7.8,9" will be converted
into string "1234567.89".  Thousand characters
are just removed.
