/*
 * Copyright (c) 2020 ... 2024 2025
 *     John McCue
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#include <stdio.h>
#include <string.h>

#include "j_lib2.h"

#define SMAX  128

/* j2_get_build() - used to print build date/time and rev */

char *j2_get_build(void)
{
  static int i = FALSE;
  static char s[SMAX];

  if (i == FALSE)
    {
      i = TRUE;
      memset(s, JLIB2_CHAR_NULL, SMAX);
      SNPRINTF(s, (SMAX - 1), "J_lib2: Rev %s -  Built: %s %s", J_LIB2_H, __DATE__, __TIME__);
    }
  return(s);
} /* j2_get_build() */
