.\"
.\" Copyright (c) 2020 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH J2_GET_BUILD 3 "2020-04-18" "JMC" "Local Library Function"
.SH NAME
j2_get_build() - Returns Library Build Date
.SH SYNOPSIS
.nf
#include <sys/types.h>
#include <j_lib2.h>

char *j2_get_build(void);
.fi
.SH DESCRIPTION
j2_get_build() Return Library Build Date/Time

Called to return a string that contains the build
date for Library j_lib2.
.SH EXAMPLE
.nf
    {
      fprintf(stdout, "Build: %s\\n", j2_get_build());
    }

    Prints "Build: Apr 18 2020 12:13:30"
.fi
.SH RETURNS
Pointer to a string with j_lib2 build Date/Time.
.SH SEE-ALSO
j_lib2(3)
