.\"
.\" Copyright (c) 2016 2017 2018 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH J2_GET_PRGNAME 3 "2020-11-22" "JMC" "Local Library Function"
.SH NAME
j2_get_prgname() - Returns program name
.SH SYNOPSIS
.nf
#include <sys/types.h>
#include <j_lib2.h>

char *j2_get_prgname(char *fname, char *defname);
.fi
.SH DESCRIPTION
j2_get_prgname() will strip the path from a File Name
string returning just the File Name portion.
.PP
Usually you would pass in argv[0] as 'fname' and
if that is not set it will return 'defname'.
That is because some old versions of c on some
Operating Systems may not assign argv[0].
.PP
But this can be useful for Operating Systems
that do not have basename(3) in the
Standard Library.
.SH RETURNS
File Name of the program (or File) without its path OR value
of 'defname' if the File Name is NULL.
.SH SEE-ALSO
j_lib2(3),
basename(3)
