.\"
.\" Copyright (c) 2021 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH J2_GETSEED 3 "2020-11-18" "JMC" "Local Library Function"
.SH NAME
j2_getseed() - Get a seed value for rand()
.SH SYNOPSIS
.nf
#include <j_lib2.h>

unsigned int j2_getseed();
.fi

.SH DESCRIPTION
j2_getseed() Get seed value

Will get a seed value by reading /dev/urandom.
If /dev/urandom read fails, the seed value will
be retrieved from time().
.SH DIAGNOSTICS
On BSD Systems, this function is not needed since
you should use arc4random(3) instead of rand(3).
It is only here for systems that do not supply arc4random(3).
.SH RETURNS
Seed value as an unsigned int.
.SH SEE-ALSO
arc4random(3),
j2_randrange(3),
j_lib2(3),
rand(3),
srand(3)
