.\"
.\" Copyright (c) 2020 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH J2_RANDRANGE 3 "2020-11-18" "JMC" "Local Library Function"
.SH NAME
j2_randrange() - Get a random number between a Range
.SH SYNOPSIS
.nf
#include <j_lib2.h>

unsigned int j2_randrange(unsigned int low, unsigned int max);
.fi
.SH DESCRIPTION
j2_randrange() Return a Random Integer within a range.

Will return a Random Number between and including
values 'low' and 'max'.
.SH DIAGNOSTICS
If required, this function will seed the random
number generator for you using j2_getseed(3).
.PP
On BSD Systems, arc4random(3) is used instead of rand(3)
by this Function.
This means there is no need to seed.
.SH RETURNS
The Random Number as an unsigned int.
.SH SEE-ALSO
arc4random(3),
j2_getseed(3),
j_lib2(3),
rand(3),
srand(3)
