.\"
.\" Copyright (c) 1994 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH J2_RTW 3 "2018-03-07" "JMC" "Local Library Function"
.SH NAME
j2_rtw() - Remove Trailing White space
.SH SYNOPSIS
.nf
#include <sys/types.h>
#include <j_lib2.h>

long int j2_rtw(char *s);
.fi
.SH DESCRIPTION
j2_rtw() Remove Trailing White space

White Space in the "C" and "POSIX" locales,
these are: space, form-feed ('\\f'), newline ('\\n'),
carriage return ('\\r'), horizontal tab ('\\t'),
and vertical tab ('\\v').
.SH DIAGNOSTICS
End of the string occurs at the first NULL character.
.SH RETURNS
length of the string.

.SH SEE-ALSO
j_lib2(3)
